/****************************************************************************/
/*!
\par Project:  Video For DreamCast
\file          vfdc.h
\author        La Cible (la.cible@free.fr)
\note          This source code file isn't copyright.
*/
/****************************************************************************/



#ifndef VIDEO_FOR_DREAMCAST_H
#define VIDEO_FOR_DREAMCAST_H

#define VF4DC_OK           0              /* player return values */
#define VF4DC_EOF         -1
#define VF4DC_ERROR       -2
#define VF4DC_NOT_OPEN    -3
#define VF4DC_BAD_RESOL   -4


#define FRAMECB_VIDEO_NEXTFRAME	 0
#define FRAMECB_VIDEO_STOP		 1



#ifdef __cplusplus
   extern "C" {
#endif

/**
 * Fli Player 
 */
int play_fli(char *filename,int loop, int (*callback)());

/**
 * mpeg2 player
 */
int play_mpeg2(char *filename,int loop, int (*callback)());

#ifdef __cplusplus
   }
#endif

#endif          /* ifndef VIDEO_FOR_DREAMCAST_H */


